import 'package:dartmagur/dartmagur.dart';

import 'dart:io';

main() async {
  /// Initialize new instance of dartmagur
  var dartmagur = new Dartmagur(Platform.environment['IMAGUR_CLIENT']);

  /// Gallery with ID
  var gallery = await dartmagur.getGallery("9Np5dKz");
  print(gallery.title);

  /// Get image of gallery
  var image = await gallery.getImage(gallery.images.keys.first);
  print(image.link);

  /// Get comments of gallery
  var comments = await gallery.getComments();
  print(comments[0].comment);

  /// Search for galleries with given phrases. All phrases are automatically ORed
  var search = await dartmagur.searchGallery(["cat"]);
  print(search.first.title);

  /// Get list of images of given subreddit
  var subr = await dartmagur.getSubreddit("softwaregore");
  print(subr.first.title);
  print(subr.first.customLink(ImageSize.smallSquare));
}
